Index: equation/eqntest.c
--- equation/eqntest.c.orig	2002-05-07 07:38:45 +0200
+++ equation/eqntest.c	2004-06-08 20:31:13 +0200
@@ -12,7 +12,7 @@
 	
 	d = equation_evaluate (eqn);
 	printf ("%s = %f", eqn, d);
-	if (lrintl (d) != answer)
+	if ((long int)(d) != answer)
 		{
 		printf (" INCORRECT\n");
 		return -1;
Index: equation/lexer.l
--- equation/lexer.l.orig	2005-02-09 14:41:23 +0100
+++ equation/lexer.l	2005-03-01 13:20:03 +0100
@@ -3,21 +3,18 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <math.h>
-#include <bits/nan.h>
 
 #include "parser.h"
 
-double strtod(const char *nptr, char **endptr);
-
 %}
 
 %option noyywrap
 %option yylineno
 %%
-[0-9]*		{ eqnlval.d = strtod (eqntext, NULL); return NUMBER; }
-[0-9]*\.[0-9]+	{ eqnlval.d = strtod (eqntext, NULL); return NUMBER; }
-[0-9]+\.[0-9]*	{ eqnlval.d = strtod (eqntext, NULL); return NUMBER; }
-"NaN"		{ eqnlval.d = NAN; return NUMBER;}
+[0-9]*		{ eqnlval.d = (double)strtod (eqntext, NULL); return NUMBER; }
+[0-9]*\.[0-9]+	{ eqnlval.d = (double)strtod (eqntext, NULL); return NUMBER; }
+[0-9]+\.[0-9]*	{ eqnlval.d = (double)strtod (eqntext, NULL); return NUMBER; }
+"NaN"      { eqnlval.d = __builtin_nan(""); return NUMBER;}
 "lt"		{ return '<';}
 "gt"		{ return '>';}
 [a-zA-Z_]+	{ eqnlval.string = strdup (eqntext); return STRING; }
Index: backend/Makefile.in
--- backend/Makefile.in.orig	2004-06-08 20:40:27 +0200
+++ backend/Makefile.in	2004-06-08 20:44:47 +0200
@@ -176,7 +176,7 @@
 libpapyrus_backend_la_LIBADD = 

 papyrus_backend_SOURCES = backend.c $(libpapyrus_backend_la_SOURCES)
 papyrus_backend_LDFLAGS = -rdynamic @LDFLAGS@ @GLIB_CFLAGS@
-papyrus_backend_LDADD = -ldl \
+papyrus_backend_LDADD = \
 		      -L../common -lpapyrus_common \
 		      -L../equation -lpapyrus_equation \
 		      @GLIB_LIBS@ @LDFLAGS@ @PQ_LIBS@ \
Index: backend/convert.c
--- backend/convert.c.orig	2004-06-08 12:59:25 +0200
+++ backend/convert.c	2004-06-08 20:42:33 +0200
@@ -331,6 +331,9 @@
 	xmlNodePtr child;
 	char *old, *eq_str = NULL;
 	char *data;
+#ifndef INFINITY
+#define INFINITY 99999999
+#endif
 	double retval = INFINITY;
 
 	for (child = equation->children; child != NULL; child = child->next)
Index: html/xml2html.c
--- html/xml2html.c.orig	2004-05-28 04:46:26 +0200
+++ html/xml2html.c	2004-06-08 20:48:36 +0200
@@ -215,7 +215,8 @@
 		/* Calculate size of number. e.g. "123cm" would be 3 and
 		"12345cm" would be 5 */
 		for (i = 0; i < str_size && isdigit(size[i]); i++);
-		num_str = strndup(size, i);
+		num_str = strdup(size);
+		num_str[i] = '\0';
 
 		for (i = 0; i < atoi(size); i++) {
 			fputs("<BR>", output);
@@ -235,7 +236,8 @@
 		/* Calculate size of number. e.g. "123cm" would be 3 and
 		"12345cm" would be 5 */
 		for (i = 0; i < str_size && isdigit(size[i]); i++);
-		num_str = strndup(size, i);
+		num_str = strdup(size);
+		num_str[i] = '\0';
 
 		for (i = 0; i < atoi(size); i++) {
 			fputs("&nbsp;&nbsp;", output);
